﻿using LeedsBeerQuest.API.Data.Models;
using LeedsBeerQuest.API.Data.Seed;
using Microsoft.EntityFrameworkCore;

namespace LeedsBeerQuest.API.Data.Contexts;

public class LeedsBeerQuestDbContext : DbContext
{
    public LeedsBeerQuestDbContext(DbContextOptions<LeedsBeerQuestDbContext> options) : base(options)
    {
    }

    public DbSet<Venue> Venues { get; set; }

    public DbSet<Category> Categories { get; set; }
    public DbSet<Tag> Tags { get; set; }
}