using Microsoft.EntityFrameworkCore;
using LeedsBeerQuest.API.Data.Contexts;
using LeedsBeerQuest.API.Data.Models;
using LeedsBeerQuest.API.Data.Services.Interfaces;

namespace LeedsBeerQuest.API.Data.Services;

public class CategoryService : ICategoryService
{
    private readonly LeedsBeerQuestDbContext _context;

    public CategoryService(LeedsBeerQuestDbContext context)
    {
        _context = context;
    }
    public async Task<IEnumerable<Category>> GetCategories() =>
        await _context.Categories.ToListAsync();
}