using LeedsBeerQuest.API.Data.Models;

namespace LeedsBeerQuest.API.Data.Services.Interfaces;

public interface IVenueService
{
    public Task<IEnumerable<Venue>> GetAllVenues();
    public Task<Venue?> GetVenue(int venueId);
    public Task<IEnumerable<Venue>> GetFilteredVenues(string? nameSearch = null, string[]? tags = null, string[]? categories = null);
}