using LeedsBeerQuest.API.Data.Contexts;
using LeedsBeerQuest.API.Data.Models;
using LeedsBeerQuest.API.Data.Services.Interfaces;
using Microsoft.EntityFrameworkCore;

namespace LeedsBeerQuest.API.Data.Services;

public class TagService : ITagService
{
    private readonly LeedsBeerQuestDbContext _context;

    public TagService(LeedsBeerQuestDbContext context)
    {
        _context = context;
    }

    public async Task<IEnumerable<Tag>> GetTags() =>
        await _context.Tags.ToListAsync();
}