export type TTag = {
    id:   number;
    name: string;
};

export type TCategory = {
    id:   number;
    name: string;
}

export type TVenue = {
    id:              number;
    name:            string;
    categoryId:      number;
    category:        TCategory;
    url:             string;
    dateAttended:    Date;
    excerpt:         string;
    thumbnail:       string;
    latitude:        number;
    longitude:       number;
    address:         string;
    phone:           string;
    twitter:         string;
    starsBeer:       number;
    starsAtmosphere: number;
    starsAmenities:  number;
    starsValue:      number;
    tags:            TTag[];
}

export type TVenueFilters = {
    nameFilter: string | null;
    tags: TTag[];
    categories: TCategory[];
}